Packager: Igor Vlasenko <viy@altlinux.ru>
%define oldname checkstyle
BuildRequires: jakarta-commons-lang
BuildRequires: ant-optional
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


Name:           checkstyle4
Version:        4.3
Release:        alt7_1jpp5
Epoch:          0
Summary:        Java source code checker
License:        LGPL
Group:          Development/Java
Source0:        http://download.sf.net/checkstyle/checkstyle-src-4.3.tar.gz
Source1:        %{oldname}-%{version}-script
Source2:        %{oldname}-%{version}.catalog

Patch0:         %{oldname}-%{version}-build.patch
Patch1:         %{oldname}-%{version}-javadoc-crosslink.patch

Patch2:         %{oldname}-%{version}-checks-AllTests.patch
Patch3:         %{oldname}-%{version}-checks-blocks-AllTests.patch
Patch4:         %{oldname}-%{version}-checks-coding-AllTests.patch
Patch5:         %{oldname}-%{version}-checks-design-AllTests.patch
Patch6:         %{oldname}-%{version}-checks-imports-AllTests.patch
Patch7:         %{oldname}-%{version}-checks-indentation-AllTests.patch
Patch8:         %{oldname}-%{version}-checks-javadoc-AllTests.patch
Patch9:         %{oldname}-%{version}-checks-metrics-AllTests.patch
Patch10:        %{oldname}-%{version}-checks-modifier-AllTests.patch
Patch11:        %{oldname}-%{version}-checks-naming-AllTests.patch
Patch12:        %{oldname}-%{version}-checks-sizes-AllTests.patch
Patch13:        %{oldname}-%{version}-checks-whitespace-AllTests.patch
Patch14:        %{oldname}-%{version}-grammars-AllTests.patch

URL:            http://checkstyle.sourceforge.net/
Requires: ant >= 0:1.6
Requires: antlr >= 0:2.7.1
Requires: regexp >= 0:1.4
Requires: jakarta-commons-logging
Requires: jakarta-commons-cli
Requires: jakarta-commons-beanutils
Requires: jakarta-commons-collections
Requires: jpackage-utils >= 0:1.7.2
Requires: jaxp_parser_impl
BuildRequires: ant >= 0:1.6
BuildRequires: ant-nodeps >= 0:1.6
BuildRequires: ant-junit >= 0:1.6
BuildRequires: junit
BuildRequires: antlr >= 0:2.7.1
BuildRequires: jakarta-commons-beanutils
BuildRequires: jakarta-commons-cli
BuildRequires: xalan-j2
BuildRequires: jakarta-commons-logging
BuildRequires: jakarta-commons-collections
# xerces-j2 because tests fail with gnujaxp...
BuildRequires: xerces-j2
BuildRequires: antlr-javadoc
BuildRequires: xml-commons-apis-javadoc
BuildRequires: jakarta-commons-beanutils-javadoc
BuildRequires: ant-javadoc
BuildRequires: /usr/bin/perl
BuildRequires: excalibur-avalon-logkit
BuildRequires: emma
BuildRequires: jdom
BuildRequires: velocity
BuildRequires: jpackage-utils >= 0:1.7.2
Requires(post): jpackage-utils >= 0:1.7.2
Requires(postun): jpackage-utils >= 0:1.7.2
%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%if ! %{gcj_support}
BuildArch:      noarch
%endif

# compatibility
#Conflicts: checkstyle > 4.99
Provides: %{oldname} = %{epoch}:%{version}-%release


%description
A tool for checking Java source code for adherence to a set of rules.

%package        demo
Group:          Development/Java
Summary:        Demos for %{oldname}
Requires: %{name} = %{epoch}:%{version}

%description    demo
Demonstrations and samples for %{oldname}.

%package        javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{oldname}

%description    javadoc
Javadoc for %{oldname}.

%package        manual
Group:          Development/Java
Summary:        Manual for %{oldname}

%description    manual
Manual for %{oldname}.

%package        optional
Group:          Development/Java
Summary:        Optional functionality for %{oldname}
Requires: %{name} = %{epoch}:%{version}
#Requires: %{oldname} >= %{epoch}:%{version}
Provides: %{oldname}-optional = %{epoch}:%{version}-%release
%if %{gcj_support}
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description    optional
Optional functionality for %{oldname}.

%prep
%setup -q -n %{oldname}-src-%{version}
%patch0 -b .sav
%patch1 -p0
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
%patch11 -b .sav
%patch12 -b .sav
%patch13 -b .sav
%patch14 -b .sav
%__perl -p -i -e 's|\./{\@docRoot}/\.\./index\.html|%{_docdir}/%{oldname}-manual-%{version}/index.html|' build.xml
# remove all binary libs
find . -name "*.jar" -exec %__rm -f {} \;
# some testinputs require java-1.5
pushd src/testinputs
rm \
com/puppycrawl/tools/checkstyle/coding/InputDeclarationOrder.java \
com/puppycrawl/tools/checkstyle/coding/InputDefaultComesLast.java \
com/puppycrawl/tools/checkstyle/coding/InputExplicitInit.java \
com/puppycrawl/tools/checkstyle/coding/InputFinalize.java \
com/puppycrawl/tools/checkstyle/coding/InputFinalLocalVariable.java \
com/puppycrawl/tools/checkstyle/coding/InputInnerAssignment.java \
com/puppycrawl/tools/checkstyle/coding/InputModifiedControl.java \
com/puppycrawl/tools/checkstyle/coding/InputRequireThis.java \
com/puppycrawl/tools/checkstyle/coding/InputUnnecessaryParentheses.java \
com/puppycrawl/tools/checkstyle/Input15Extensions.java \
com/puppycrawl/tools/checkstyle/InputDesignForExtension.java \
com/puppycrawl/tools/checkstyle/InputFinalClass.java \
com/puppycrawl/tools/checkstyle/InputFinalParameters.java \
com/puppycrawl/tools/checkstyle/InputGenerics.java \
com/puppycrawl/tools/checkstyle/InputHiddenField.java \
com/puppycrawl/tools/checkstyle/InputHiddenFieldReorder.java \
com/puppycrawl/tools/checkstyle/InputInner.java \
com/puppycrawl/tools/checkstyle/InputJavadoc.java \
com/puppycrawl/tools/checkstyle/InputJavadocStyleCheck.java \
com/puppycrawl/tools/checkstyle/InputLeftCurlyMethod.java \
com/puppycrawl/tools/checkstyle/InputLeftCurlyOther.java \
com/puppycrawl/tools/checkstyle/InputMagicNumber.java \
com/puppycrawl/tools/checkstyle/InputModifier.java \
com/puppycrawl/tools/checkstyle/InputOpWrap.java \
com/puppycrawl/tools/checkstyle/InputScopeInnerInterfaces.java \
com/puppycrawl/tools/checkstyle/InputSemantic.java \
com/puppycrawl/tools/checkstyle/InputTags.java \
com/puppycrawl/tools/checkstyle/InputTypeParamsTags.java \
com/puppycrawl/tools/checkstyle/InputWhitespace.java \
com/puppycrawl/tools/checkstyle/MyAnnotation.java \
com/puppycrawl/tools/checkstyle/grammars/InputHexFloat.java \
com/puppycrawl/tools/checkstyle/grammars/InputVararg.java \
com/puppycrawl/tools/checkstyle/imports/InputImportControl.java \
com/puppycrawl/tools/checkstyle/imports/InputImportOrderCaseInsensitive.java \
com/puppycrawl/tools/checkstyle/imports/InputImportOrder.java \
com/puppycrawl/tools/checkstyle/indentation/InputValidBlockIndent.java \
com/puppycrawl/tools/checkstyle/indentation/InputValidClassDefIndent.java \
com/puppycrawl/tools/checkstyle/indentation/InputValidForIndent.java \
com/puppycrawl/tools/checkstyle/javadoc/TestGenerics.java \
com/puppycrawl/tools/checkstyle/metrics/ClassCouplingCheckTestInput.java \
com/puppycrawl/tools/checkstyle/package-info.java \
com/puppycrawl/tools/checkstyle/whitespace/InputMethodParamPad.java \
com/puppycrawl/tools/checkstyle/indentation/InputValidAssignIndent.java \
com/puppycrawl/tools/checkstyle/InputDoubleCheckedLocking.java \

popd
pushd src/tests
rm \
com/puppycrawl/tools/checkstyle/checks/FinalParametersCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/GenericIllegalRegexpCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/RegexpCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/RequiredRegexpCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/UpperEllCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/blocks/EmptyBlockCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/blocks/LeftCurlyCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/blocks/RightCurlyCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/AvoidInlineConditionalsCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/DeclarationOrderCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/DefaultComesLastCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/DoubleCheckedLockingCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/EqualsHashCodeCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/ExplicitInitializationCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/FinalLocalVariableCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/HiddenFieldCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/IllegalInstantiationCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/InnerAssignmentCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/MagicNumberCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/ModifiedControlVariableCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/RedundantThrowsCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/RequireThisCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/SuperFinalizeCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/coding/UnnecessaryParenthesesCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/design/DesignForExtensionCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/design/FinalClassCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/design/HideUtilityClassConstructorCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/design/VisibilityModifierCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/imports/ImportControlCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/imports/ImportOrderCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/imports/UnusedImportsCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/indentation/IndentationCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/javadoc/JavadocMethodCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/javadoc/JavadocStyleCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/javadoc/JavadocTypeCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/javadoc/JavadocVariableCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/metrics/ClassDataAbstractionCouplingCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/metrics/ClassFanOutComplexityCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/modifier/ModifierOrderCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/modifier/RedundantModifierTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/ConstantNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/LocalFinalVariableNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/LocalVariableNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/MemberNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/naming/ParameterNameCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/sizes/MethodLengthCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/MethodParamPadCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/NoWhitespaceAfterCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/NoWhitespaceBeforeCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/OperatorWrapCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/ParenPadCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/TypecastParenPadCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/WhitespaceAfterCheckTest.java \
com/puppycrawl/tools/checkstyle/checks/whitespace/WhitespaceAroundTest.java \
com/puppycrawl/tools/checkstyle/grammars/HexFloatsTest.java \
com/puppycrawl/tools/checkstyle/grammars/VarargTest.java \

popd

%build
#export JAVA_HOME=/usr/lib/jvm/java-1.4.2

export OPT_JAR_LIST="ant/ant-junit junit ant/ant-nodeps jdom velocity"
export CLASSPATH=$(build-classpath excalibur/avalon-logkit commons-collections velocity jdom jakarta-commons-lang)

pushd lib
ln -sf $(build-classpath antlr) .
ln -sf $(build-classpath commons-beanutils-core) .
ln -sf $(build-classpath commons-collections) .
ln -sf $(build-classpath commons-cli) .
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath emma) .
ln -sf $(build-classpath emma_ant) .
popd

ant -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  -Dbuild.sysclasspath=first \
  -Dant.javadoc=%{_javadocdir}/ant \
  -Dantlr.javadoc=%{_javadocdir}/antlr \
  -Djaxp.javadoc=%{_javadocdir}/xml-commons-apis \
  -Dbeanutils.javadoc=%{_javadocdir}/jakarta-commons-beanutils \
  build.bindist

%install
%__rm -rf %{buildroot}

# jars
%__install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
# oldname
%__install -pm 644 target/dist/%{oldname}-%{version}/%{oldname}-%{version}.jar \
                     $RPM_BUILD_ROOT%{_javadir}/%{oldname}-%{version}.jar
#newname
#%__install -pm 644 target/dist/%{oldname}-%{version}/%{oldname}-%{version}.jar \
#                     $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%__install -pm 644 target/dist/%{oldname}-%{version}/%{oldname}-optional-%{version}.jar \
                     $RPM_BUILD_ROOT%{_javadir}/%{oldname}-optional-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do %__ln_s ${jar} `echo $jar| %__sed "s|-%{version}||g"`; done)

%add_to_maven_depmap checkstyle checkstyle %{version} JPP %{oldname}
%add_to_maven_depmap checkstyle checkstyle-optional %{version} JPP %{oldname}-optional

# poms
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%__install -pm 644 pom.xml \
            $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{oldname}.pom
%__install -pm 644 pom-optional.xml \
            $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{oldname}-optional.pom

# script
%__install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
%__install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{oldname}

# dtds
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/xml/%{oldname}
%__install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/xml/%{oldname}/catalog
%__cp -a src/checkstyle/com/puppycrawl/tools/checkstyle/*.dtd \
            $RPM_BUILD_ROOT%{_datadir}/xml/%{oldname}

# javadoc
%__install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{oldname}-%{version}
%__cp -ar target/dist/%{oldname}-%{version}/docs/api/* \
            $RPM_BUILD_ROOT%{_javadocdir}/%{oldname}-%{version}
%__rm -rf target/dist/%{oldname}-%{version}/docs/api
%__ln_s %{_javadocdir}/%{oldname} target/dist/%{oldname}-%{version}/docs/api
%__ln_s %{oldname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{oldname} # ghost symlink

# demo
%__install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{oldname}
%__cp -ar target/dist/%{oldname}-%{version}/contrib/* \
                     $RPM_BUILD_ROOT%{_datadir}/%{oldname}

# ant.d
%__install -d -m 755  $RPM_BUILD_ROOT%{_sysconfdir}/ant.d
%__cat > $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/%{oldname} << EOF
checkstyle antlr regexp jakarta-commons-beanutils jakarta-commons-cli jakarta-commons-logging jakarta-commons-collections jaxp_parser_impl
EOF

# hack
pushd %buildroot%{_javadir}/
ln -s %{oldname}-optional.jar %{oldname}4-optional.jar
ln -s %{oldname}.jar %{oldname}4.jar
popd

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
# Note that we're using a fully versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{oldname}-%{version}-%{release}.cat \
    %{_datadir}/xml/%{oldname}/catalog > /dev/null || :
fi

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
# Note that we're using a fully versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{oldname}-%{version}-%{release}.cat \
    %{_datadir}/xml/%{oldname}/catalog > /dev/null || :
fi

%post javadoc
%__rm -f %{_javadocdir}/%{oldname}
%__ln_s %{oldname}-%{version} %{_javadocdir}/%{oldname}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{oldname}
fi

%post optional
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%__grep -q checkstyle-optional %{_sysconfdir}/ant.d/%{oldname} || \
%__perl -p -i -e 's|checkstyle|checkstyle checkstyle-optional|' %{_sysconfdir}/ant.d/%{oldname}

%postun optional
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%__grep -q checkstyle-optional %{_sysconfdir}/ant.d/%{oldname} && \
%__perl -p -i -e 's|checkstyle-optional ||' %{_sysconfdir}/ant.d/%{oldname} || :

%files
%doc LICENSE LICENSE.apache README RIGHTS.antlr
%doc build.xml checkstyle_checks.xml java.header sun_checks.xml suppressions.xml

#oldname
%{_javadir}/%{oldname}.jar
%{_javadir}/%{oldname}4.jar
%{_javadir}/%{oldname}-%{version}.jar
#newname
#%{_javadir}/%{name}.jar
#%{_javadir}/%{name}-%{version}.jar
%{_datadir}/xml/%{oldname}
%attr(0755,root,root) %{_bindir}/*
%config(noreplace) %{_sysconfdir}/ant.d/%{oldname}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{oldname}
%{_libdir}/gcj/%{oldname}/%{oldname}-%{version}.jar.*
%endif


%files demo
%{_datadir}/%{oldname}

%files javadoc
%doc %{_javadocdir}/%{oldname}-%{version}
%ghost %doc %{_javadocdir}/%{oldname}

%files manual
%doc --no-dereference target/dist/%{oldname}-%{version}/docs/*

%files optional
%{_javadir}/%{oldname}-optional.jar
%{_javadir}/%{oldname}4-optional.jar
%{_javadir}/%{oldname}-optional-%{version}.jar
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{oldname}
%{_libdir}/gcj/%{oldname}/%{oldname}-optional-%{version}.jar.*
%endif

%changelog
* Thu Mar 19 2009 Igor Vlasenko <viy@altlinux.ru> 0:4.3-alt7_1jpp5
- added scheckstyle4*jars

* Sun Sep 21 2008 Igor Vlasenko <viy@altlinux.ru> 0:4.3-alt6_1jpp5
- removed conflicts (for stub support)

* Mon Sep 15 2008 Igor Vlasenko <viy@altlinux.ru> 0:4.3-alt5_1jpp5
- provides checkstyle-optional

* Fri Sep 12 2008 Igor Vlasenko <viy@altlinux.ru> 0:4.3-alt4_1jpp5
- compatibility package

* Sat Dec 15 2007 Igor Vlasenko <viy@altlinux.ru> 0:4.3-alt3_1jpp1.7
branch 4.0 compatible build

* Tue Nov 13 2007 Igor Vlasenko <viy@altlinux.ru> 0:4.3-alt2_1jpp1.7
- require new commons-cli

* Thu Aug 02 2007 Igor Vlasenko <viy@altlinux.ru> 0:4.3-alt1_1jpp1.7
- converted from JPackage by jppimport script

* Thu May 17 2007 Igor Vlasenko <viy@altlinux.ru> 0:4.1-alt2_3jpp1.7
- converted from JPackage by jppimport script

* Sun Mar 26 2006 Vladimir Lettiev <crux@altlinux.ru> 4.1-alt2
- Fix build with j2se1.5

* Sun Dec 18 2005 Vladimir Lettiev <crux@altlinux.ru> 4.1-alt1
- Initial build for ALTLinux Sisyphus

%changelog
